"""Code generated by Speakeasy (https://speakeasyapi.dev). DO NOT EDIT."""

import requests
from dataclasses import dataclass
from typing import Dict, Tuple, Callable, Union
from .utils.retries import RetryConfig
from .utils import utils
from ivy import models


SERVER_PROD = 'prod'
r"""Production server"""
SERVER_SANDBOX = 'sandbox'
r"""Local server"""
SERVERS = {
	SERVER_PROD: 'https://ivycheck-backend.onrender.com',
	SERVER_SANDBOX: 'http://localhost:8000',
}
"""Contains the list of servers available to the SDK"""


@dataclass
class SDKConfiguration:
    client: requests.Session
    security: Union[models.Security,Callable[[], models.Security]] = None
    server_url: str = ''
    server: str = ''
    language: str = 'python'
    openapi_doc_version: str = '0.0.1'
    sdk_version: str = '0.3.0'
    gen_version: str = '2.237.2'
    user_agent: str = 'speakeasy-sdk/python 0.3.0 2.237.2 0.0.1 ivycheck'
    retry_config: RetryConfig = None

    def get_server_details(self) -> Tuple[str, Dict[str, str]]:
        if self.server_url:
            return utils.remove_suffix(self.server_url, '/'), {}
        if not self.server:
            self.server = SERVER_PROD

        return SERVERS[self.server], {}
